// PopUpGenDlg.h : header file
//

#if !defined(AFX_POPUPGENDLG_H__609604C8_CAAB_498E_BB9A_6F590AA09A4F__INCLUDED_)
#define AFX_POPUPGENDLG_H__609604C8_CAAB_498E_BB9A_6F590AA09A4F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CPopUpGenDlg dialog

class CPopUpGenDlg : public CDialog
{
// Construction
public:
	CPopUpGenDlg(CWnd* pParent = NULL);	// standard constructor
  bool CheckColorValue ( const char *color );
  bool Validate ( );
  void Generate ( CString &code );
  void ChooseColorPalette ( CEdit *pEditColor );
  void SetAppTitle ( );

// Dialog Data
	//{{AFX_DATA(CPopUpGenDlg)
	enum { IDD = IDD_POPUPGEN_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPopUpGenDlg)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CPopUpGenDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButtonTest();
	virtual void OnOK();
	afx_msg void OnButtonClose();
	virtual void OnCancel();
	afx_msg void OnButtonBrowse();
	afx_msg void OnButtonInsert();
	afx_msg void OnButtonTbcp();
	afx_msg void OnButtonFcp();
	afx_msg void OnButtonTfcp();
	afx_msg void OnButtonCbcp();
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnChangeEditTbc();
	afx_msg void OnChangeEditBc();
	afx_msg void OnChangeEditCbc();
	afx_msg void OnChangeEditTfc();
	afx_msg void OnContextMenu(CWnd* pWnd, CPoint point);
	afx_msg void OnButtonSaveproject();
	afx_msg void OnButtonLoadproject();
	afx_msg void OnButtonSaveprj();
	afx_msg void OnCheckAgain();
	afx_msg void OnFileOpenproject();
	afx_msg void OnAboutAboutfloatinwindowgenerator();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

  CEdit *pEditTitle,    *pEditFontSize;
  CEdit *pEditWidth,    *pEditHeight;
  CEdit *pEditTrgX,     *pEditTrgY;
  CEdit *pEditSldSpeed, *pEditDeltaT;
  CEdit *pEditTBC,      *pEditTFC;
  CEdit *pEditBC,       *pEditCBC;
  CEdit *pEditHTMLfile;
  CRichEditCtrl *pRichEditContent;
  CComboBox *pComboFont, *pComboSldDir;
  CStatic *pStaticTBC, *pStaticTFC, *pStaticBC, *pStaticCBC;
  CButton *pCheckAgain;
  CEdit *pEditDays, *pEditHours, *pEditMinutes;

  CBrush m_hbrTBC, m_hbrTFC, m_hbrFC, m_hbrCBC;

  

  CString m_cstrProjectFileName;
  CString m_cstrAppTitle;
  CString m_cstrAppDir;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_POPUPGENDLG_H__609604C8_CAAB_498E_BB9A_6F590AA09A4F__INCLUDED_)
