// PopUpGenDlg.cpp : implementation file
//

#include "stdafx.h"
#include "PopUpGen.h"
#include "PopUpGenDlg.h"
#include <process.h>
#include <math.h>
#include <direct.h>
#include <Windows.h>
#include "StatLink.h"

CString cstrProductTitle;
CString cstrProductVersion;
CString cstrProductCopyright;

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

char pchColorValError [] = "\nUse the following format: RRGGBB,\nwhere RR is hexadecimal number for the red component,\nGG - for the green, and BB - for the blue components respectively.\n Example: F0A245";

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CStaticLink m_Url;
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
	//}}AFX_MSG_MAP
	 
END_MESSAGE_MAP()
//---------------------------------------------------------
BOOL CAboutDlg::OnInitDialog() 
{
  CString  cstrCopyright, s2;
  char    *s1;
	CDialog::OnInitDialog();

  // Da razkodirame stringa s awtorskoto prawo.
  // Float-In Window Generator (c) 2004 James Jackson, All Rights Reseved.  You may not redistribute this software in any manner. If you DID NOT PURCHASE this software directly from www.floatinwindowgenerator.com or other licensed distibutors websites, please notify us at the website listed above. No action will be taken against anyone reporting a cyber-thief.
cstrCopyright ="Float-In Window Generator Resell Rights Agreement\n\nSuggested minimum retail price for this product is $27.This suggested\nprice point has been established to maintain the value of this product\nand long term profitability for YOU as well as all future resellers.\n\nWe cannot legally impose that you do not sell the product for less than\n$27 but before you do please read the statement above again and if you\nhave any questions please email me at...\n\nwebmaster@floatinwindowgenerator.com\n\nYou may include this product as a free bonus to any membership\nor community site where monthly membership fee is $27 or more.\n\nYou may repackage or bundle Float-In Window Generator with any\nproduct or package that is priced at $27 or more."; 

  s1 = ( char * ) ( ( const char * ) cstrCopyright );
 
  GetDlgItem ( IDC_STATIC_ABOUT )->SetWindowText ( s1 );
  s2 = "Resell Rights for " + cstrProductTitle;
  SetWindowText ( s2 );

  m_Url.m_link="http://www.anybrander.com";
  m_Url.Create(_T("http://www.anybrander.com"), WS_CHILD|WS_VISIBLE, 
   CRect(58,262,250,292), this,IDC_URL_STATIC);
  m_Url.SetFont(GetFont());

  
return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
//---------------------------------------------------------

/////////////////////////////////////////////////////////////////////////////
// CPopUpGenDlg dialog

CPopUpGenDlg::CPopUpGenDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CPopUpGenDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CPopUpGenDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);

  cstrProductTitle.LoadString ( IDS_PRODUCTTITLE );
  cstrProductVersion.LoadString ( IDS_PRODUCTVERSION );
  cstrProductCopyright.LoadString ( IDS_PRODUCTCOPYRIGHT );
}

void CPopUpGenDlg::DoDataExchange(CDataExchange* pDX)
{ 
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CPopUpGenDlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CPopUpGenDlg, CDialog)
	//{{AFX_MSG_MAP(CPopUpGenDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_BUTTON_TEST, OnButtonTest)
	ON_BN_CLICKED(IDC_BUTTON_CLOSE, OnButtonClose)
	ON_BN_CLICKED(IDC_BUTTON_BROWSE, OnButtonBrowse)
	ON_BN_CLICKED(IDC_BUTTON_INSERT, OnButtonInsert)
	ON_BN_CLICKED(IDC_BUTTON_TBCP, OnButtonTbcp)
	ON_BN_CLICKED(IDC_BUTTON_FCP, OnButtonFcp)
	ON_BN_CLICKED(IDC_BUTTON_TFCP, OnButtonTfcp)
	ON_BN_CLICKED(IDC_BUTTON_CBCP, OnButtonCbcp)
	ON_WM_CTLCOLOR()
	ON_EN_CHANGE(IDC_EDIT_TBC, OnChangeEditTbc)
	ON_EN_CHANGE(IDC_EDIT_BC, OnChangeEditBc)
	ON_EN_CHANGE(IDC_EDIT_CBC, OnChangeEditCbc)
	ON_EN_CHANGE(IDC_EDIT_TFC, OnChangeEditTfc)
	ON_WM_CONTEXTMENU()
	ON_COMMAND(ID_FILE_SAVEASPROJECT, OnButtonSaveproject)
	ON_COMMAND(ID_FILE_OPENPROJECT, OnButtonLoadproject)
	ON_COMMAND(ID_FILE_SAVEPROJECT, OnButtonSaveprj)
	ON_BN_CLICKED(IDC_CHECK_AGAIN, OnCheckAgain)
	ON_BN_CLICKED(IDC_STATIC_TBC, OnButtonTbcp)
	ON_BN_CLICKED(IDC_STATIC_TFC, OnButtonTfcp)
	ON_BN_CLICKED(IDC_STATIC_BC, OnButtonFcp)
	ON_BN_CLICKED(IDC_STATIC_CBC, OnButtonCbcp)
	ON_COMMAND(ID_ABOUT_ABOUTFLOATINWINDOWGENERATOR, OnAboutAboutfloatinwindowgenerator)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPopUpGenDlg message handlers

BOOL CPopUpGenDlg::OnInitDialog()
{
  char    *pcdir;
  CMenu   *pSysMenu;

	CDialog::OnInitDialog();

  pcdir = new char [4096];
  GetModuleFileName ( NULL, pcdir, 4096 );
  m_cstrAppDir = pcdir;
  delete [] pcdir;
  m_cstrAppDir = m_cstrAppDir.Left ( m_cstrAppDir.ReverseFind ( '\\' ) );

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu = "&About " + cstrProductTitle;
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
  pEditTitle    = ( CEdit * ) GetDlgItem ( IDC_EDIT_TITLE );
  pEditFontSize = ( CEdit * ) GetDlgItem ( IDC_EDIT_FONTSIZE );
  pEditWidth    = ( CEdit * ) GetDlgItem ( IDC_EDIT_WIDTH );
  pEditHeight   = ( CEdit * ) GetDlgItem ( IDC_EDIT_HEIGHT );
  pEditTrgX     = ( CEdit * ) GetDlgItem ( IDC_EDIT_TRGX );
  pEditTrgY     = ( CEdit * ) GetDlgItem ( IDC_EDIT_TRGY );
  pEditSldSpeed = ( CEdit * ) GetDlgItem ( IDC_EDIT_SLDSPEED );
  pEditDeltaT   = ( CEdit * ) GetDlgItem ( IDC_EDIT_DELTAT );
  pEditTBC      = ( CEdit * ) GetDlgItem ( IDC_EDIT_TBC );
  pEditTFC      = ( CEdit * ) GetDlgItem ( IDC_EDIT_TFC );
  pEditBC       = ( CEdit * ) GetDlgItem ( IDC_EDIT_BC );
  pEditCBC      = ( CEdit * ) GetDlgItem ( IDC_EDIT_CBC );
  pEditHTMLfile = ( CEdit * ) GetDlgItem ( IDC_EDIT_HTMLFILE );
  pRichEditContent  = ( CRichEditCtrl * ) GetDlgItem ( IDC_RICHEDIT_CONTENT );
  pComboFont    = ( CComboBox * ) GetDlgItem ( IDC_COMBO_FONT );
  pComboSldDir  = ( CComboBox * ) GetDlgItem ( IDC_COMBO_SLDDIR );
  pStaticTBC    = ( CStatic * ) GetDlgItem ( IDC_STATIC_TBC );
  pStaticTFC    = ( CStatic * ) GetDlgItem ( IDC_STATIC_TFC );
  pStaticBC     = ( CStatic * ) GetDlgItem ( IDC_STATIC_BC );
  pStaticCBC    = ( CStatic * ) GetDlgItem ( IDC_STATIC_CBC );
  pCheckAgain   = ( CButton * ) GetDlgItem ( IDC_CHECK_AGAIN );
  pEditDays     = ( CEdit * ) GetDlgItem ( IDC_EDIT_DAYS );
  pEditHours    = ( CEdit * ) GetDlgItem ( IDC_EDIT_HOURS );
  pEditMinutes  = ( CEdit * ) GetDlgItem ( IDC_EDIT_MINUTES );

  pEditTitle->SetWindowText ( "Float-In Window Title" );
  pEditFontSize->SetLimitText ( 2 );
  pEditFontSize->SetWindowText ( "12" );
  pEditWidth->SetWindowText ( "180" );
  pEditHeight->SetWindowText ( "180" );
  pEditTrgX->SetWindowText ( "150" );
  pEditTrgY->SetWindowText ( "10" );
  pEditSldSpeed->SetWindowText ( "50" );
  pEditDeltaT->SetWindowText ( "1.5" );
  pEditTBC->SetWindowText ( "007FFF" );
  pEditTFC->SetWindowText ( "FFFFFF" );
  pEditBC->SetWindowText ( "FFFFFF" );
  pEditCBC->SetWindowText ( "E0E0E0" );
  pEditTBC->SetLimitText ( 6 );
  pEditTFC->SetLimitText ( 6 );
  pEditBC->SetLimitText ( 6 );
  pEditCBC->SetLimitText ( 6 );
  pComboSldDir->SetCurSel ( 0 );
  pComboFont->SetCurSel ( 0 );
  pRichEditContent->SetWindowText ( "<TABLE width='100%' height='100%' border='0' cellspacing='0' cellpadding='5' style='color: white; background: #00D0A0'>\n  <TR>\n    <TD>Hello, World!\n  <TR>\n    <TD><IMG src='pic1.jpg'>\n</TABLE>" );
  pEditDays->SetWindowText ( "0" );
  pEditDays->SetLimitText ( 3 );
  pEditHours->SetWindowText ( "0" );
  pEditHours->SetLimitText ( 2 );
  pEditMinutes->SetWindowText ( "1" );
  pEditMinutes->SetLimitText ( 2 );

  m_cstrProjectFileName = "";

  m_cstrAppTitle = cstrProductTitle;
  SetAppTitle ( );

	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CPopUpGenDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else if ( nID == SC_CLOSE )
  {
    EndDialog ( 0 );
  }
  else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CPopUpGenDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CPopUpGenDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}
//---------------------------------------------------------
void CPopUpGenDlg::OnButtonTest() 
{
  char     progie [] = "c:\\Program Files\\Internet Explorer\\iexplore.exe";
  CString  htmldoc;
  int      result;
  char    *comspec;
  CString  code;
  CFile    f1;
  int      i;
  CString  filename;

  comspec = getenv ( "COMSPEC" );
  progie [0] = comspec [0];

  if ( !Validate ( ) )
    return;

  Generate ( code );

  code = "<html><body>Some HTML page just for background.<BR>" + code;
  for ( i = 0; i < 30; i++ )
    code += "Bla-Bla!<BR>";
  code += "</body></html>";

  filename = m_cstrAppDir;
  filename += "\\Float-In-Demo.html";
  if ( f1.Open ( filename, CFile::modeCreate | CFile::modeWrite | CFile::shareExclusive ) )
    {
      f1.Write ( code, code.GetLength ( ) );
      f1.Close ( );
      htmldoc = "from file://";
      htmldoc += filename;
    }
  else
    {
      return;
    }

// Starting IE
   result = _spawnl ( _P_NOWAIT, progie, htmldoc, NULL );
   if ( result == -1 )
     {
       progie [0] = 'd';
       result = _spawnl ( _P_NOWAIT, progie, htmldoc, NULL );
    }
}

//-------------------------------------------------------
bool CPopUpGenDlg::CheckColorValue ( const char *color )
{
  int i;

  if ( strlen ( color ) != 6 )
    return false;

  for ( i = 0; i < 6; i++ )
    if ( ( color [i] > '9' || color [i] < '0' ) &&
         ( color [i] > 'F' || color [i] < 'A' ) )
      return false;

  return true;
}
//-------------------------------------------------------
bool CPopUpGenDlg::Validate ( )
{
  CString tfc, tbc, fc, cbc;
  CString errormsg;

  errormsg = pchColorValError;
  pEditTFC->GetWindowText ( tfc );
  if ( !CheckColorValue ( tfc ) )
    {
      errormsg = "Error in Title Fore Color field!" + errormsg;
      MessageBox ( errormsg, "Error" );
      return false;
    }

  pEditTBC->GetWindowText ( tbc );
  if ( !CheckColorValue ( tbc ) )
    {
      errormsg = "Error in Title Back Color field!" + errormsg;
      MessageBox ( errormsg, "Error" );
      return false;
    }

  pEditBC->GetWindowText ( fc );
  if ( !CheckColorValue ( fc ) )
    {
      errormsg = "Error in Frame Color field!" + errormsg;
      MessageBox ( errormsg, "Error" );
      return false;
    }

  pEditCBC->GetWindowText ( cbc );
  if ( !CheckColorValue ( cbc ) )
    {
      errormsg = "Error in Content Back Color field!" + errormsg;
      MessageBox ( errormsg, "Error" );
      return false;
    }

  return true;
}
//-------------------------------------------------------
void CPopUpGenDlg::Generate ( CString &code )
{
  CString code1, code2;
  CString popupcontent, escapedcontent;
  CString pwID;
  CString title;
  CString deltatime;
  CString deltamove;       // Tochki s koito se premestwa prozoreca na wseki kadyr.
  double  framedur = 20.0; // Prodylzhitelnost na kadyra w milisecundi.
  CString cstrframedur, speed;
  CString trgX, trgY;
  CString winwidth, winheight;
  CString slddir;
  int     fontnum;
  CString fontname, fontsize;
  CString titleforecolor, titlebackcolor, bordercolor, contentbackcolor;
  int     i;
  SYSTEMTIME timeDest;
  DWORD      miliseconds;
  BOOL       bTimedPopUps;
  CString    cstrPopUpAgain, sdays, shours, sminutes;

  cstrframedur.Format ( "%d", ( int ) ( framedur + 0.5 ) );

  GetSystemTime ( &timeDest );

  miliseconds = timeDest.wMilliseconds + timeDest.wSecond * 1000 + timeDest.wMinute * 60 * 1000 + timeDest.wHour * 60 * 60 * 1000;
  pwID.Format ( "pwID%u", miliseconds );

  pEditTitle->GetWindowText ( title );

  pEditDeltaT->GetWindowText ( deltatime );
  deltatime.Format ( "%d", ( int ) ( ( fabs ( atof ( deltatime ) ) + 0.5 ) * 1000 ) );

  pEditSldSpeed->GetWindowText ( speed );
  deltamove.Format ( "%f", atoi ( speed ) * framedur / 1000 );

  pEditWidth->GetWindowText ( winwidth );
  pEditHeight->GetWindowText ( winheight );

  pEditTrgX->GetWindowText ( trgX );
  pEditTrgY->GetWindowText ( trgY );

  pEditTFC->GetWindowText ( titleforecolor );
  pEditTBC->GetWindowText ( titlebackcolor );
  pEditBC->GetWindowText ( bordercolor );
  pEditCBC->GetWindowText ( contentbackcolor );

  if ( ( pCheckAgain->GetState ( ) & 0x0003 ) == 1 )
    {
      bTimedPopUps = TRUE;
      pEditDays->GetWindowText ( sdays );
      pEditHours->GetWindowText ( shours );
      pEditMinutes->GetWindowText ( sminutes );
      cstrPopUpAgain.Format ( "%d",
        atoi ( sdays ) * 24 * 60 * 60 * 1000 +
        atoi ( shours ) * 60 * 60 * 1000 +
        atoi ( sminutes ) * 60 * 1000 );
    }
  else
    bTimedPopUps = FALSE;

  slddir.Format ( "%d", ( ( CComboBox * ) GetDlgItem ( IDC_COMBO_SLDDIR ) )->GetCurSel ( ) + 1 );

  fontnum = pComboFont->GetCurSel ( );
  switch ( fontnum )
    {
      case 0 : fontname = "Arial, sans-serif";  break;
      case 1 : fontname = "Times New Roman, serif";  break;
      case 2 : fontname = "Courier New, monospace";  break;
      case 3 : fontname = "Tahoma, sans-serif";  break;
      case 4 : fontname = "Avanti, sans-serif";  break;
      case 5 : fontname = "Verdana, sans-serif";  break;
    }

  pEditFontSize->GetWindowText ( fontsize );

  escapedcontent = "";
  pRichEditContent->GetWindowText ( popupcontent );

  for ( i = 0; i < popupcontent.GetLength ( ); i++ )
    switch ( popupcontent [i] )
      {
        case '\n': escapedcontent += "\\n";  break;
        case '\r': escapedcontent += "\\r";  break;
        case '\"': escapedcontent += "\\\"";  break;
        default: escapedcontent += popupcontent [i];
      }
      
  code = "";
  
  code1 = "\n<SCRIPT language='JavaScript' type=text/javascript>\n<!--\n";
  
  code += "document.write(\"<table width='" + winwidth + "' height='" + winheight + "' border='0' cellspacing='0' cellpadding='1' style='display:none;position:absolute;top:10px;left:10px;empty-cells:hide' id='" + pwID + "v134'>\");";
  code += "document.write(\"<tr><td style='background: " + bordercolor + "'>\");";
  code += "document.write(\"<table width='100%' height='100%' border='0' cellspacing='0' cellpadding='0'>\");";
  code += "document.write(\"<tr height='1'><td>\");";  
  code += "document.write(\"<table width='100%' border='0' cellspacing='1' cellpadding='0' style='background: " + titlebackcolor + "; color: " + titleforecolor + "; cursor: default'><tr style='font-family: " + fontname + "; font-size: " + fontsize + "pt; font-weight: bold'><td>" + title + "\");";
  code += "document.write(\"<td style='width: 20px; cursor: pointer;' onclick='javascript:" + pwID + "v135();'><IMG src='minimize.gif'>\");";
  code += "document.write(\"<td style='width: 20px; cursor: pointer;' onclick='javascript:" + pwID + "v136();'><IMG src='close.gif'>\");";
  code += "document.write(\"</table>\");";
  code += "document.write(\"<tr><td>\");";
  code += "document.write(\"<table width='100%' height='100%' id='" + pwID + "v137' border='0' cellpadding='0' cellspacing='0' bgcolor='" + contentbackcolor + "'>\");";
  code += "document.write(\"<tr>\");";
  code += "document.write(\"<td>\");";
  code += "document.write(\"" + escapedcontent + "\");";
  code += "document.write(\"<tr style='height: 10px'><td style='text-align: center'><INPUT type='button' value='Close' style='cursor: pointer' onclick='javascript:" + pwID + "v136();'>\");";
  code += "document.write(\"</table></table></table>\");";
  
  code += " if ( document.getElementById ) " + pwID + "v138 = document.getElementById ( \"" + pwID + "v134\" ); else " + pwID + "v138 = document.all [\"" + pwID + "v134\"];";
//-------------------------------------------------------
  code += " function " + pwID + "v135 ( )";
  code += " {";  
  code += "   if ( document.getElementById )";
  code += "     content = document.getElementById ( \"" + pwID + "v137\" );";
  code += "   else";
  code += "     content = document.all [\"" + pwID + "v137\"];";
  
  code += "   if ( content.style.display == \"none\" )";
  code += "     {";
  code += "       content.style.display = \"\";";
  code += "       " + pwID + "v138.style.height = \"170px\";";
  code += "     }";
  code += "   else";
  code += "     {";
  code += "       content.style.display = \"none\";";
  code += "       " + pwID + "v138.style.height = \"20px\";";
  code += "     }";
  code += " }";
//-------------------------------------------------------
  code += " function " + pwID + "v136 ( )";
  code += " {";
  code += "   " + pwID + "v138.style.display = \"none\";";
  code += " }";
//-------------------------------------------------------

  code += " var " + pwID + "v139 = 10, " + pwID + "v140 = 10;";

//-------------------------------------------------------
  code += " function " + pwID + "v141 ( )";
  code += " {";
  code += "   return ( ( window.pageXOffset ) ? window.pageXOffset : document.body.scrollLeft ) + " + pwID + "v139;";
  code += " }";
//-------------------------------------------------------
  code += " function " + pwID + "v142 ( )";
  code += " {";
  code += "   return ( ( window.pageYOffset ) ? window.pageYOffset : document.body.scrollTop ) + " + pwID + "v140;";
  code += " }";
//-------------------------------------------------------
  code += " function " + pwID + "v143 ( )";
  code += " {";
  code += "   " + pwID + "v138.style.top = " + pwID + "v142 ( );";
                  code += "   " + pwID + "v138.style.left = " + pwID + "v141 ( );";
  code += "   setTimeout ( \"" + pwID + "v143 ( );\", 1000 );";
  code += " }";
//-------------------------------------------------------
  code += " function " + pwID + "v144 ( )";
  code += " {";
  code += "   if ( " + pwID + "v139 != " + trgX + " || " + pwID + "v140 != " + trgY + " )";
  code += "     {";
  
  code += "       if ( " + pwID + "v139 != " + trgX + " )";
  code += "         if ( Math.abs ( " + pwID + "v139 - " + trgX + " ) <= " + deltamove + " )";
  code += "           " + pwID + "v139 = " + trgX + ";";
  code += "         else";
  code += "           if ( " + pwID + "v139 < " + trgX + " )";
  code += "             " + pwID + "v139 += " + deltamove + ";";
  code += "           else";
  code += "             " + pwID + "v139 -= " + deltamove + ";";

  code += "       if ( " + pwID + "v140 != " + trgY + " )";
  code += "         if ( Math.abs ( " + pwID + "v140 - " + trgY + " ) <= " + deltamove + " )";
  code += "           " + pwID + "v140 = " + trgY + ";";
  code += "         else";
  code += "           if ( " + pwID + "v140 < " + trgY + " )";
  code += "             " + pwID + "v140 += " + deltamove + ";";
  code += "           else";
  code += "             " + pwID + "v140 -= " + deltamove + ";";

  code += "       " + pwID + "v138.style.top  = " + pwID + "v142 ( );";
  code += "       " + pwID + "v138.style.left = " + pwID + "v141 ( );";
  code += "       setTimeout ( \"" + pwID + "v144();\", " + cstrframedur + " );";
  code += "     }";
  code += "   else";
  code += "     " + pwID + "v143 ( );";
  
  code += " }";
//-------------------------------------------------------
  code += " function " + pwID + "v145 ( )";
  code += " {";
  code += "   " + pwID + "v139 = " + trgX + ";";
  code += "   " + pwID + "v140 = " + trgY + ";";
  
  code += "   switch ( " + slddir + " )";
  code += "     {";
  code += "       case 3: " + pwID + "v139 = -" + winwidth + ";  break;";  // otljawo nadjalsno
  code += "       case 4: " + pwID + "v139 = ( ( window.innerWidth ) ? window.innerWidth : document.body.clientWidth );  break;"; // otdjasno naljawo
  code += "       case 1: " + pwID + "v140 = -" + winheight + ";  break;";  // otgore nadolu
  code += "       case 2: " + pwID + "v140 = ( ( window.innerHeight ) ? window.innerHeight : document.body.clientHeight);  break;";  // otdolu nagore
  code += "     }";

  code += "   " + pwID + "v138.style.top  = " + pwID + "v142 ( );";
  code += "   " + pwID + "v138.style.left = " + pwID + "v141 ( );";
  code += "   " + pwID + "v138.style.display = \"\";";
  code += "   " + pwID + "v144 ( );";
  code += " }";
//-------------------------------------------------------

  if ( bTimedPopUps )  // Popupite izlizat wednyzh za opredeleno wreme.
    {
      // Slagame funkcija za chetene na kukita.
      // function /* string */ FindCookie ( v146 )  // Wryshta null ako ne e nameril Cookie, ili stojnostta, ako ja e nameril.
      code += " function v147 ( v146 )";
      code += " {";
      code += "   var v148 = v146.length;";
      code += "   var v149 = document.cookie;";
      code += "   var v150 = v149.length;";
      code += "   var v151, v152;";
      code += "   var v153;";

      code += "   v151 = 0;";
      code += "   while ( v151 < v150 )";
      code += "     {";
      code += "       v152 = v151 + v148;";
      code += "       if ( v149.substring ( v151, v152 ) == v146 )";
      code += "         {";
      code += "           v154 = v149.indexOf ( \";\", v152 );";
      code += "           if ( v154 == -1 )";
      code += "             v154 = v149.length;";
      code += "           return unescape ( v149.substring ( v152 + 1, v154 ) );";
      code += "         }";
      code += "       v151++;";
      code += "     }";
      code += "   return null;";
      code += " }";
      
      // Prowerjawame dali ima takowa kuki za tozi prozorec.
      // Ako da, to postawjame kukito i puskame procesa.
      code += " if ( v147 ( \"" + pwID + "\" ) == null )";
      code += "   {";  // Postawjame kukito.
      code += "     var v155 = new Date ( );";
      code += "     var v156 = v155.getTime ( ) + " + cstrPopUpAgain + ";";
      code += "     v155.setTime ( v156 );";
      code += "     document.cookie = \"" + pwID + "=; expires=\" + v155.toGMTString();";
      //            Startirame prozoreca.
      code += "     setTimeout ( \"" + pwID + "v145 ( );\", " + deltatime + " );";
      code += "   }";
      // Ako uslowieto ne e izpylneno ne se prawi nishto.
    }
  else  // Popupite izlizat winagi.
    code += " setTimeout ( \"" + pwID + "v145 ( );\", " + deltatime + " );";

  code += " var " + pwID + "v157, " + pwID + "v158;";

//-------------------------------------------------------

  code += " function " + pwID + "v159 ( e )";
  code += " {";
  code += "   v160 = ( document.all ) ? event.clientX : e.clientX;";
  code += "   v161 = ( document.all ) ? event.clientY : e.clientY;";
  
  code += "   " + pwID + "v139 += v160 - " + pwID + "v157;";
  code += "   " + pwID + "v140 += v161 - " + pwID + "v158;";
  code += "   " + pwID + "v157 = v160;";
  code += "   " + pwID + "v158 = v161;";
  code += "   " + pwID + "v138.style.top  = " + pwID + "v142 ( );";
  code += "   " + pwID + "v138.style.left = " + pwID + "v141 ( );";
  code += " }";
//-------------------------------------------------------
  code += " function " + pwID + "v162 ( )";
  code += " {";
  code += " }";
//-------------------------------------------------------
  code += " function " + pwID + "v163 ( )";
  code += " {";
  code += "   document.onmousemove = " + pwID + "v162;";
  code += "   document.onmouseup   = " + pwID + "v162;";
  code += " }";
//-------------------------------------------------------
  code += " function " + pwID + "v164 ( v165 )";
  code += " {";
  code += "   " + pwID + "v157 = ( document.all ) ? event.clientX : v165.clientX;";
  code += "   " + pwID + "v158 = ( document.all ) ? event.clientY : v165.clientY;";
  code += "   document.onmousemove = " + pwID + "v159;";
  code += "   document.onmouseup   = " + pwID + "v163;";
  code += " }";
//-------------------------------------------------------

  code += " " + pwID + "v138.onmousedown = " + pwID + "v164;";

  
  code2 = "\n//-->\n</SCRIPT>\n\n";

  code = code1 + code + code2;
}
//-------------------------------------------------------
void CPopUpGenDlg::OnOK() 
{
	// TODO: Add extra validation here
  int i = 10;	
	
//  CDialog::OnOK();
}
//-------------------------------------------------------
void CPopUpGenDlg::OnButtonClose() 
{
  EndDialog ( 0 );
}
//-------------------------------------------------------
void CPopUpGenDlg::OnCancel() 
{
}
//-------------------------------------------------------
void CPopUpGenDlg::OnButtonBrowse() 
{
  char        pchFilter [] = "HTML files|*.html;*.htm|All Files (*.*)|*.*||";
  CFileDialog dlgfile ( TRUE, NULL, NULL, OFN_FILEMUSTEXIST, pchFilter );
  CString     filename;

  if ( dlgfile.DoModal ( ) == IDOK )
    {
      filename = dlgfile.GetPathName ( );
      pEditHTMLfile->SetWindowText ( filename );
    }
}
//-------------------------------------------------------
void CPopUpGenDlg::OnButtonInsert() 
{
  CFile        f1;
  CString      filename;
  CFileStatus  fStatus;
//  char        *pchFileData;
//  DWORD        filesize;
//  DWORD        textlen;
  CString      cstrFileData, code;
//  DWORD        p1;
  CFileStatus  status;

  pEditHTMLfile->GetWindowText ( filename );

  if ( filename.GetLength ( ) == 0 )
    {
      filename = "No file specified!";
      MessageBox ( filename, "Error" );
      return;
    }

  if ( !CFile::GetStatus ( filename, status ) )
    {
      filename = "The file:\n" + filename + "\ndoes not exist!";
      MessageBox ( filename, "Error" );
      return;
    }

  if ( f1.Open ( filename, CFile::modeReadWrite | CFile::shareExclusive ) )
    {
//      f1.GetStatus ( fStatus );
//      filesize = fStatus.m_size;
//      pchFileData = new char [filesize + 1];

//      textlen = f1.Read ( pchFileData, filesize );
//      cstrFileData = pchFileData;
//      cstrFileData.MakeUpper ( );
//      p1 = cstrFileData.Find ( "<BODY" );
//      p1 = cstrFileData.Find ( ">", p1 );
      Generate ( code );
      f1.SeekToEnd ( );
      f1.Write ( code, code.GetLength ( ) );

      f1.Close ( );
//      delete pchFileData;
      MessageBox ( "Float-In inserted!", "Notice" );
    }
  else
    {
      filename = "Could not open file:\n" + filename + "\nThe file maybe read only.";
      MessageBox ( filename, "Error" );
      return;
    }
  
}
//-------------------------------------------------------
void CPopUpGenDlg::ChooseColorPalette ( CEdit *pEditColor )
{
  CString       color;
  CColorDialog *pdlgColor;
  COLORREF      col;

  pEditColor->GetWindowText ( color );
  col = strtoul ( color, NULL, 16 );
  col = ( col & 0xFF ) << 16 | ( col & 0xFF0000 ) >> 16 | col & 0xFF00;
  pdlgColor = new CColorDialog ( col );
  if ( pdlgColor->DoModal ( ) == IDOK )
    {
      col = pdlgColor->GetColor ( );
      col = ( col & 0xFF ) << 16 | ( col & 0xFF0000 ) >> 16 | col & 0xFF00;
      color.Format ( "%06X", col );
      pEditColor->SetWindowText ( color );
      Invalidate ( );
    }
  delete pdlgColor;
}
//-------------------------------------------------------
void CPopUpGenDlg::OnButtonTbcp() 
{
  ChooseColorPalette ( pEditTBC );
}
//-------------------------------------------------------
void CPopUpGenDlg::OnButtonTfcp() 
{
  ChooseColorPalette ( pEditTFC );
}
//-------------------------------------------------------
void CPopUpGenDlg::OnButtonFcp() 
{
  ChooseColorPalette ( pEditBC );
}
//-------------------------------------------------------
void CPopUpGenDlg::OnButtonCbcp()
{
  ChooseColorPalette ( pEditCBC );
}
//-------------------------------------------------------
HBRUSH CPopUpGenDlg::OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor) 
{
	HBRUSH    hbr = CDialog::OnCtlColor(pDC, pWnd, nCtlColor);
  CEdit    *pEdit;
  CString   color;
  COLORREF  col;
  CBrush   *pBrush;

  if ( pWnd->m_hWnd == pStaticTBC->m_hWnd ||
       pWnd->m_hWnd == pStaticTFC->m_hWnd ||
       pWnd->m_hWnd == pStaticBC->m_hWnd ||
       pWnd->m_hWnd == pStaticCBC->m_hWnd )
    {
      if ( pWnd->m_hWnd == pStaticTBC->m_hWnd )
        {
          pEdit = pEditTBC;
          pBrush = &m_hbrTBC;
        }
      else if ( pWnd->m_hWnd == pStaticTFC->m_hWnd )
        {
          pEdit = pEditTFC;
          pBrush = &m_hbrTFC;
        }
      else if ( pWnd->m_hWnd == pStaticBC->m_hWnd )
        {
          pEdit = pEditBC;
          pBrush = &m_hbrFC;
        }
      else
        {
          pEdit = pEditCBC;
          pBrush = &m_hbrCBC;
        }

      pEdit->GetWindowText ( color );
      col = strtoul ( color, NULL, 16 );
      col = ( col & 0xFF ) << 16 | ( col & 0xFF0000 ) >> 16 | col & 0xFF00;

      pBrush->DeleteObject ( );
      pBrush->CreateSolidBrush ( col );
      return ( HBRUSH ) *pBrush;
    }

	return hbr;
}
//-------------------------------------------------------
void CPopUpGenDlg::OnChangeEditTbc() 
{
  CString color;

  pEditTBC->GetWindowText ( color );
  if ( CheckColorValue ( color ) )
    Invalidate ( );
  else
    if ( color.GetLength ( ) == 6 )
      MessageBox ( pchColorValError, "Error" );
}
//-------------------------------------------------------
void CPopUpGenDlg::OnChangeEditTfc() 
{
  CString color;

  pEditTFC->GetWindowText ( color );
  if ( CheckColorValue ( color ) )
    Invalidate ( );
  else
    if ( color.GetLength ( ) == 6 )
      MessageBox ( pchColorValError, "Error" );
}
//-------------------------------------------------------
void CPopUpGenDlg::OnChangeEditBc() 
{
  CString color;

  pEditBC->GetWindowText ( color );
  if ( CheckColorValue ( color ) )
    Invalidate ( );
  else
    if ( color.GetLength ( ) == 6 )
      MessageBox ( pchColorValError, "Error" );
}
//-------------------------------------------------------
void CPopUpGenDlg::OnChangeEditCbc() 
{
  CString color;

  pEditCBC->GetWindowText ( color );
  if ( CheckColorValue ( color ) )
    Invalidate ( );
  else
    if ( color.GetLength ( ) == 6 )
      MessageBox ( pchColorValError, "Error" );
}
//-------------------------------------------------------
void CPopUpGenDlg::OnContextMenu ( CWnd* pWnd, CPoint point )
{
  CMenu  menu;
  CMenu *pContextMenu;
  int    iCmd;

  if ( pWnd->m_hWnd == pRichEditContent->m_hWnd )
    {
      menu.LoadMenu ( IDR_MENU_CONTEXT );
      pContextMenu = menu.GetSubMenu ( 0 );
      iCmd = ( int ) pContextMenu->TrackPopupMenu ( TPM_NONOTIFY | TPM_RETURNCMD | TPM_LEFTALIGN | TPM_LEFTBUTTON | TPM_RIGHTBUTTON,
                                                    point.x, point.y,
                                                    AfxGetMainWnd ( ) );
      if ( iCmd == ID_CONTEXT_PASTE )
        pRichEditContent->Paste ( );
    }
  else
    CDialog::OnContextMenu ( pWnd, point );
}
//-------------------------------------------------------
BOOL CPopUpGenDlg::PreTranslateMessage(MSG* pMsg)  // Widnows 98 does not call OnContextMenu()
{
  int    fwKeys;
  CPoint point;
  RECT   rect;
                     
  if ( pMsg->message == WM_RBUTTONUP &&
       pMsg->hwnd == pRichEditContent->m_hWnd )
    {
      fwKeys = pMsg->wParam;        // key flags 
      point.x = LOWORD(pMsg->lParam);  // horizontal position of cursor 
      point.y = HIWORD(pMsg->lParam);  // vertical position of cursor 

      ::GetWindowRect ( pMsg->hwnd, &rect );
      point.x += rect.left;
      point.y += rect.top;

      OnContextMenu ( pRichEditContent, point );
      return TRUE;
    }

	return CDialog::PreTranslateMessage(pMsg);
}
//-------------------------------------------------------
void CPopUpGenDlg::OnButtonSaveproject() 
{
  char        pchFilter [] = "FWG files|*.fwg|All Files (*.*)|*.*||";
  CFileDialog dlgfile ( FALSE, "fwg", m_cstrProjectFileName, OFN_OVERWRITEPROMPT, pchFilter );

  if ( !Validate ( ) )
    return;

  if ( dlgfile.DoModal ( ) != IDOK )
    return;
  
  m_cstrProjectFileName = dlgfile.GetPathName ( );
  SetAppTitle ( );

  OnButtonSaveprj ( );
}
//-------------------------------------------------------
void CPopUpGenDlg::OnButtonLoadproject() 
{
  CStdioFile  f1;
  CFileStatus status;
  CString     filename, s1, s2;
  char        pchFilter [] = "FWG files|*.fwg|All Files (*.*)|*.*||";
  CFileDialog dlgfile ( TRUE, "fwg", NULL, OFN_FILEMUSTEXIST, pchFilter );

  if ( dlgfile.DoModal ( ) != IDOK )
    return;
  
  filename = dlgfile.GetPathName ( );

  if ( !f1.Open ( filename, CFile::modeRead ) )
    {
      filename = "Could not open file:\n" + filename + "\nI/O error occured!";
      MessageBox ( filename, "Error" );
      return;
    }

  if ( !f1.ReadString ( s1 ) ||
       s1.Compare ( cstrProductTitle + " " + cstrProductVersion ) != 0 )
    {
      MessageBox ( "File not identified!", "Error" );
      return;
    }

  if ( !f1.ReadString ( s1 ) )
    goto lbl_Error;  
  pEditTitle->SetWindowText ( s1.Right ( s1.GetLength ( ) - s1.Find ( ':' ) - 1 ) );

  if ( !f1.ReadString ( s1 ) )
    goto lbl_Error;  
  s1 = s1.Right ( s1.GetLength ( ) - s1.Find ( ':' ) - 1 );
  pComboFont->SetCurSel ( s1 [0] - '0' );

  if ( !f1.ReadString ( s1 ) )
    goto lbl_Error;  
  pEditFontSize->SetWindowText ( s1.Right ( s1.GetLength ( ) - s1.Find ( ':' ) - 1 ) );

  if ( !f1.ReadString ( s1 ) )
    goto lbl_Error;  
  pEditWidth->SetWindowText ( s1.Right ( s1.GetLength ( ) - s1.Find ( ':' ) - 1 ) );

  if ( !f1.ReadString ( s1 ) )
    goto lbl_Error;  
  pEditHeight->SetWindowText ( s1.Right ( s1.GetLength ( ) - s1.Find ( ':' ) - 1 ) );

  if ( !f1.ReadString ( s1 ) )
    goto lbl_Error;  
  pEditTrgX->SetWindowText ( s1.Right ( s1.GetLength ( ) - s1.Find ( ':' ) - 1 ) );

  if ( !f1.ReadString ( s1 ) )
    goto lbl_Error;  
  pEditTrgY->SetWindowText ( s1.Right ( s1.GetLength ( ) - s1.Find ( ':' ) - 1 ) );

  if ( !f1.ReadString ( s1 ) )
    goto lbl_Error;  
  s1 = s1.Right ( s1.GetLength ( ) - s1.Find ( ':' ) - 1 );
  pComboSldDir->SetCurSel ( s1 [0] - '0' );

  if ( !f1.ReadString ( s1 ) )
    goto lbl_Error;  
  pEditSldSpeed->SetWindowText ( s1.Right ( s1.GetLength ( ) - s1.Find ( ':' ) - 1 ) );

  if ( !f1.ReadString ( s1 ) )
    goto lbl_Error;  
  pEditDeltaT->SetWindowText ( s1.Right ( s1.GetLength ( ) - s1.Find ( ':' ) - 1 ) );

  if ( !f1.ReadString ( s1 ) )
    goto lbl_Error;  
  pEditTBC->SetWindowText ( s1.Right ( s1.GetLength ( ) - s1.Find ( ':' ) - 1 ) );

  if ( !f1.ReadString ( s1 ) )
    goto lbl_Error;  
  pEditTFC->SetWindowText ( s1.Right ( s1.GetLength ( ) - s1.Find ( ':' ) - 1 ) );

  if ( !f1.ReadString ( s1 ) )
    goto lbl_Error;  
  pEditBC->SetWindowText ( s1.Right ( s1.GetLength ( ) - s1.Find ( ':' ) - 1 ) );

  if ( !f1.ReadString ( s1 ) )
    goto lbl_Error;  
  pEditCBC->SetWindowText ( s1.Right ( s1.GetLength ( ) - s1.Find ( ':' ) - 1 ) );

  if ( !f1.ReadString ( s1 ) )
    goto lbl_Error;  
  s2 = "";
  while ( f1.ReadString ( s1 ) )
    s2 = s2 + s1 + "\n";
  s2 = s2.Left ( s2.GetLength ( ) - 1 );
  pRichEditContent->SetWindowText ( s2 );

  m_cstrProjectFileName = filename;
  SetAppTitle ( );
  goto lbl_Ret;

lbl_Error:

  MessageBox ( "Error in .fwg file!", "Error" );

lbl_Ret:

  f1.Close ( );
}
//-------------------------------------------------------
void CPopUpGenDlg::OnButtonSaveprj()
{
  CStdioFile  f1;
  CFileStatus status;
  CString     filename, s1;

  if ( !Validate ( ) )
    return;

  filename = m_cstrProjectFileName;
  if ( filename == "" )
    {
      OnButtonSaveproject ( );
      return;
    }

  if ( CFile::GetStatus ( filename, status ) )  // Fajlyt syshtestwuwa.
    if ( !f1.Open ( filename, CFile::modeWrite ) )
      {
        filename = "Could not open file:\n" + filename + "\nFile maybe readonly!";
        MessageBox ( filename, "Error" );
        return;
      }
    else;
  else  // Fajlyt ne syshtestwuwa.
    if ( !f1.Open ( filename, CFile::modeCreate | CFile::modeWrite ) )
      {
        filename = "Could not create file:\n" + filename + "\nI/O error occured!";
        MessageBox ( filename, "Error" );
        return;
      }

  f1.WriteString ( cstrProductTitle + " " + cstrProductVersion + "\n" );

  pEditTitle->GetWindowText ( s1 );
  s1 = "title:" + s1 + "\n";
  f1.WriteString ( s1 );

  s1.Format ( "title-font:%d\n", pComboFont->GetCurSel ( ) );
  f1.WriteString ( s1 );

  pEditFontSize->GetWindowText ( s1 );
  s1 = "title-font-size:" + s1 + "\n";
  f1.WriteString ( s1 );

  pEditWidth->GetWindowText ( s1 );
  s1 = "width:" + s1 + "\n";
  f1.WriteString ( s1 );

  pEditHeight->GetWindowText ( s1 );
  s1 = "height:" + s1 + "\n";
  f1.WriteString ( s1 );

  pEditTrgX->GetWindowText ( s1 );
  s1 = "trg-x:" + s1 + "\n";
  f1.WriteString ( s1 );

  pEditTrgY->GetWindowText ( s1 );
  s1 = "trg-y:" + s1 + "\n";
  f1.WriteString ( s1 );

  s1.Format ( "flt-dir:%d\n", pComboSldDir->GetCurSel ( ) );
  f1.WriteString ( s1 );

  pEditSldSpeed->GetWindowText ( s1 );
  s1 = "flt-speed:" + s1 + "\n";
  f1.WriteString ( s1 );

  pEditDeltaT->GetWindowText ( s1 );
  s1 = "delta-t:" + s1 + "\n";
  f1.WriteString ( s1 );

  pEditTBC->GetWindowText ( s1 );
  s1 = "tbc:" + s1 + "\n";
  f1.WriteString ( s1 );

  pEditTFC->GetWindowText ( s1 );
  s1 = "tfc:" + s1 + "\n";
  f1.WriteString ( s1 );

  pEditBC->GetWindowText ( s1 );
  s1 = "bc:" + s1 + "\n";
  f1.WriteString ( s1 );

  pEditCBC->GetWindowText ( s1 );
  s1 = "cbc:" + s1 + "\n";
  f1.WriteString ( s1 );

  pRichEditContent->GetWindowText ( s1 );
  s1 = "content:\n" + s1;
  f1.WriteString ( s1 );

  f1.Close ( );
}
//-------------------------------------------------------
void CPopUpGenDlg::SetAppTitle ( )
{
  SetWindowText ( m_cstrAppTitle + ( m_cstrProjectFileName != "" ? " - [" + m_cstrProjectFileName + "]" : "" ) );
}
//-------------------------------------------------------
void CPopUpGenDlg::OnCheckAgain() 
{
  if ( ( pCheckAgain->GetState ( ) & 0x0003 ) == 1 )
    {
      pEditDays->EnableWindow ( TRUE );
      pEditHours->EnableWindow ( TRUE );
      pEditMinutes->EnableWindow ( TRUE );
      ( ( CButton * ) GetDlgItem ( IDC_STATIC_DAYS ) )->EnableWindow ( TRUE );
      ( ( CButton * ) GetDlgItem ( IDC_STATIC_HOURS ) )->EnableWindow ( TRUE );
      ( ( CButton * ) GetDlgItem ( IDC_STATIC_MINUTES ) )->EnableWindow ( TRUE );
    }
  else
    {
      pEditDays->EnableWindow ( FALSE );
      pEditHours->EnableWindow ( FALSE );
      pEditMinutes->EnableWindow ( FALSE );
      ( ( CButton * ) GetDlgItem ( IDC_STATIC_DAYS ) )->EnableWindow ( FALSE );
      ( ( CButton * ) GetDlgItem ( IDC_STATIC_HOURS ) )->EnableWindow ( FALSE );
      ( ( CButton * ) GetDlgItem ( IDC_STATIC_MINUTES ) )->EnableWindow ( FALSE );
    }
}
//-------------------------------------------------------
void CPopUpGenDlg::OnAboutAboutfloatinwindowgenerator ( ) 
{
  CAboutDlg dlgAbout;
  dlgAbout.DoModal(); 
}
//-------------------------------------------------------

//ShellExecute(GetSafeHwnd(),"open","http://www.bestmarketingsolutions.com",NULL,NULL,SW_MAXIMIZE);
